#345 closed defect (fixed)

doc/started does not build

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: doc Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

doc/started does not build:

(/users/rtems/src/rtems-cvs/rtems-4-6-branch/doc/started/started.texi
(../texinfo.tex Loading texinfo [version 2003-02-03.16]: Basics, pdf, fonts,
page headings, tables, conditionals, indexing, sectioning, toc, environments,
defuns, macros, cross references, (/usr/share/texmf/tex/plain/dvips/epsf.tex)
localization, and turning on texinfo input format.) (started.aux) (version.texi
) (../../../../rtems-4-6-branch/doc/common/setup.texi)
(/users/rtems/src/rtems-cvs/rtems-4-6-branch/doc/started/tversions.texi)
[1] (../../../../rtems-4-6-branch/doc/common/cpright.texi) [2] (started.toc
[-1]) [-2] (intro.texi Chapter 1 [1] [2] [3]) (require.texi Chapter 2 [4]
[5] [6] [7]) (binaries.texi Chapter 3 [8] [9] [10]) (buildc.texi Chapter 4
[11] [12] [13] Variable `BUILDTOOLS-TAR', used in @value, is not set.
Variable `BINUTILS-RTEMSPATCH', used in @value, is not set.
Variable `BINUTILS-RTEMSPATCH', used in @value, is not set. [14]
Variable `BINUTILS-RTEMSPATCH', used in @value, is not set. [15] [16] [17]
[18] [19] Variable `BUILDTOOLS-TAR', used in @value, is not set. [20] [21]
[22] [23]) (buildrt.texi Chapter 5 [24] [25] [26]) (sample.texi Chapter 6
[27] [28] [29]

Apparent cause is the variables texinfo complains about not having been set in tversion.texi

Release:
RTEMS-4-6-branch

Change History (3)

comment:1 Changed on Feb 14, 2003 at 6:00:15 PM by Joel Sherrill

Status: assignedclosed

comment:2 Changed on Feb 15, 2003 at 4:05:48 AM by Ralf Corsepius

Status: closedassigned

comment:3 Changed on Feb 15, 2003 at 5:18:57 AM by Ralf Corsepius

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Seems to be a bug or incompatiblity in newer versions of texinfo or tex (The bug occurs during texi->tex transformation).

Worked-around by changing the offending code at the end of started/sample.t

Note: See TracTickets for help on using tickets.